Retrieve a single instrument
Retrieves detailed reference data for a single trading instrument, identified by its symbol and security type. Use this when you already know the symbol and type.
trading, fractionalTrading, and optionTrading status, shortingAvailability, option price increments, and, for crypto, the price and quantity precision.Look up a stock. The code samples and the playground use this request.
| Name | Type | Required | Description |
|---|---|---|---|
| symbol | string | Yes | - |
| type | stringEQUITYOPTIONMULTI_LEG_INSTRUMENTCRYPTOALTTREASURYBONDINDEXEVENTCONTRACT | Yes | - |
No request body defined
BUY_AND_SELL,LIQUIDATION_ONLY,DISABLEDBUY_AND_SELL,LIQUIDATION_ONLY,DISABLEDBUY_AND_SELL,LIQUIDATION_ONLY,DISABLEDBUY_AND_SELL,LIQUIDATION_ONLY,DISABLEDThe short-selling availability.
NOT_SHORTABLE,EASY_TO_BORROW,HARD_TO_BORROWThe hard to borrow rate as a percentage value.
Record representing price increments below and above $3.
Exchange where the instrument is traded.
The name of the exchange where the instrument is traded.
Invalid symbol or type.
No response body defined
Instrument not found.
No response body defined
{
"instrument": {
"symbol": "string",
"type": "EQUITY"
},
"trading": "BUY_AND_SELL",
"fractionalTrading": "BUY_AND_SELL",
"optionTrading": "BUY_AND_SELL",
"optionSpreadTrading": "BUY_AND_SELL",
"instrumentDetails": null,
"shortingAvailability": "NOT_SHORTABLE",
"hardToBorrowPercentageRate": "string",
"optionContractPriceIncrements": {
"incrementBelow3": "string",
"incrementAbove3": "string"
},
"exchange": "string",
"exchangeName": "string"
}